# Class Binomial

java.lang.Object
jebl.math.Binomial

public class Binomial extends Object
Binomial coefficients

Version:
  $Id: Binomial.java 305 2006-04-26 00:22:30Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond, Korbinian Strimmer

## Constructor Summary

Constructors
Constructor
Description
`Binomial()`

## Method Summary

Modifier and Type
Method
Description
`static double`
`choose(double n, double k)`
Binomial coefficient n choose k
`static double`
`choose2(int n)`
get n choose 2

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Binomial

public Binomial()

## Method Details

### choose

public static double choose(double n, double k)
Binomial coefficient n choose k

### choose2

public static double choose2(int n)
get n choose 2